Eventum Logo

Eventum

Generator configsName

Update Generator Config

Update generator configuration in the directory with specified name.

PUT
/generator-configs/{name}

Path Parameters

name*Name

Name of the generator directory

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://loading/api/generator-configs/string" \  -H "Content-Type: application/json" \  -d '{    "input": [      {        "cron": {          "expression": "string",          "count": 0        }      }    ],    "event": {      "replay": {        "path": "string"      }    },    "output": [      {        "clickhouse": {          "host": "string",          "table": "string"        }      }    ]  }'
null
Empty
Empty
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}
Empty